import { jsx } from "react/jsx-runtime";
import { TokenRFD as TokenRFD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRFD = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RFD", "data-name": "TokenRFD", ...props, children: /* @__PURE__ */ jsx(TokenRFD$1, { variant }) });
  }
);
TokenRFD.displayName = "TokenRFD";
Object.assign(TokenRFD, { isGdsIcon: true });
export {
  TokenRFD
};
